<!-- <div class="w-auto h-auto"> -->
<p-card>
    <div class="flex align-items-stretch flex-wrap card-container blue-container">
        <div class="flex align-items-center justify-content-center m-2 mt-0">
            <p-tag styleclass="p-mr-2" severity="warning"><i class="fas fa-wheelchair align-items-center" style="font-size:2rem"></i>
                <p class="text-lg align-items-center m-2 font-bold"> REFER IN</p>
            </p-tag>
           

        </div>
        <div class="flex align-items-center justify-content-center m-2">
            <mat-form-field color="accent" class="example-form-field" appearance="outline">
                <mat-label>วันเริ่มต้น</mat-label>
                <input matInput [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()" (ngModelChange)="onDateSelected()">
                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                <mat-datepicker #picker1></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="flex align-items-center justify-content-center m-2">
            <mat-form-field color="accent" class="example-form-field" appearance="outline">
                <mat-label>วันสิ้นสุด</mat-label>
                <input matInput [matDatepicker]="picker2" [(ngModel)]="edate" (click)="picker2.open()" (ngModelChange)="onDateSelected()">
                <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                <mat-datepicker #picker2></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="flex align-items-center justify-content-center m-2">
            <mat-form-field color="accent" class="example-form-field" appearance="outline">
                <input name="cid" matInput [(ngModel)]="cid" placeholder="เลขบัตรประชาชน" (keyup)="valuechange($event)" onkeypress="if(this.value.length==13) return false;" >
              </mat-form-field>
        </div>
        <div class="flex align-items-center justify-content-center m-2 mt-0">
            <button pButton type="button" [disabled]="!validateForm" class="button-success" (click)="onSearch()" icon="pi pi-search" label="ค้นหา"></button>

        </div>
        <div class="flex align-items-center justify-content-center m-2 mt-0 dkMenuActive"  (click)="activeMenu()">   </div>

        <div class="flex align-items-center justify-content-center m-2 mt-0 ml-auto p-2 bd-highlight">
            <!-- <span class="flex align-items-center align-self-center mr-3 pl-3 ml-auto p-2 bd-highlight" > -->
            <p-inputSwitch (onChange)="onCheckedAppoint($event)" [(ngModel)]="checked1"> </p-inputSwitch>&nbsp;
            {{strChecked1}}
            <!-- </span> -->
        </div>
    </div>

    <div class="grid">
        <div class="col">

            <div class="flex align-items-stretch flex-wrap card-container green-container" style="height: 40px;">
                <span class="flex align-items-center align-self-center mr-3 pl-3">
                    <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 resuscitate-pt">R</button>
                    Resuscitate</span>
                <span class="flex align-items-center align-self-center mr-3 pl-3">
                    <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 emergency-pt">E</button>
                    Emergency </span>
                <span class="flex align-items-center align-self-center mr-3 pl-3">
                    <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 urgency-pt">U</button>
                    Urgency </span>
                <span class="flex align-items-center align-self-center mr-3 pl-3">
                    <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 semi-urgency-pt">S</button>
                    Semi Urgency </span>
                <span class="flex align-items-center align-self-center mr-3 pl-3">
                    <button type="button" class="flex align-items-center align-self-center mr-2 shadow-4 none-urgency-pt">N</button>
                    None Urgency
                </span>


            </div>
        </div>
    </div>

    <!-- <div class="grid">
            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4"> -->
    <!-- <p-card  class="px-3 mx-1"> -->
    <p-table #dt id="dt" [value]="rowsData" [(selection)]="selectedRowsData" dataKey="id" responsiveLayout="scroll" styleClass="p-datatable-gridlines"
    [rowHover]="true" [rows]="100" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loading"
    [paginator]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
    [filterDelay]="0" [globalFilterFields]="['hn','fullname','hname','refer_no','cid']"
    paginatorPosition="bottom" scrollHeight="{{scrollHeight}}"
    [virtualRowHeight]="6" frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)">

        <ng-template pTemplate="caption">
            <div class="table-header">
                <div class="grid">
                    <div class="col">
                        <div class="flex justify-content-start">
                            <span class="text-center justify-content-center pt-2">รายการตอบรับการส่งต่อ</span>
                        </div>
                    </div>
                    <div class="col">
                        <div class="flex justify-content-end">
                            <span class="p-input-icon-right mr-3">
                                <i class="pi pi-search"></i>
                                <input pInputText class="p-inputtext-sm" type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                            </span>
                            <button type="button" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel()" class="p-button-success mr-2 p-1" pTooltip="XLS" tooltipPosition="bottom"></button>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>

        <ng-template pTemplate="header">
            <tr>
                <th class="text-center justify-content-center p-1" colspan="6">การนำส่ง</th>
                <th class="text-center justify-content-center p-1" colspan="2">ผู้ป่วย</th>
                <th class="text-center justify-content-center p-1" colspan="2">ใบส่งตัว</th>
                <th class="text-center justify-content-center p-1" colspan="2">การลงรับ</th>
            </tr>
            <tr>
                <th class="text-center justify-content-center p-1"></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="strength_id">แนบ <p-sortIcon field="strength_id"></p-sortIcon></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="loads_name">นำส่ง <p-sortIcon field="loads_name"></p-sortIcon></th>
                <th class="text-center p-1" pSortableColumn="country.name" pSortableColumn="refer_appoint">ขอนัด <p-sortIcon field="refer_appoint"></p-sortIcon></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="station_name"><p-columnFilter type="text" field="station_name" display="menu"></p-columnFilter>ต้นทาง <p-sortIcon field="station_name"></p-sortIcon></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="location_refer_name">ส่งปลายทาง <p-sortIcon field="location_refer_name"></p-sortIcon></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="hn"><p-columnFilter type="text" field="hn" display="menu"></p-columnFilter>HN <p-sortIcon field="hn"></p-sortIcon></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="fullname"> <p-columnFilter type="text" field="fullname" display="menu"></p-columnFilter>ชื่อ <p-sortIcon field="fullname"></p-sortIcon></th>
                <!-- <th class="text-center justify-content-center p-1" pSortableColumn="cid">เลขบัตรประชาชน <p-sortIcon field="cid"></p-sortIcon></th> -->
                <th class="text-center justify-content-center p-1" pSortableColumn="refer_date">วันที่ส่ง <p-sortIcon field="refer_date"></p-sortIcon></th>
                <!-- <th class="text-center justify-content-center p-1" pSortableColumn="refer_time">เวลา <p-sortIcon field="refer_time"></p-sortIcon></th> -->
                <th class="text-center justify-content-center p-1" pSortableColumn="hname">ต้นทาง <p-sortIcon field="hname"></p-sortIcon></th>
               
                
                <th class="text-center justify-content-center p-1" pSortableColumn="refer_result_name"><p-columnFilter type="text" field="refer_result_name" display="menu"></p-columnFilter>จุดรับ <p-sortIcon field="refer_result_name"></p-sortIcon></th>
                <th class="text-center justify-content-center p-1" pSortableColumn="receive_date">วันที่่รับ <p-sortIcon field="receive_date"></p-sortIcon></th>
                <!-- <th class="text-center justify-content-center p-1" pSortableColumn="receive_time">เวลา <p-sortIcon field="receive_time"></p-sortIcon></th> -->
            </tr>

        </ng-template>
        <ng-template pTemplate="body" let-rowsData>
            <tr class="p-selectable-row">
                <td [pSelectableRow]="rowsData" class="p-1">
                    <button type="button" label="R" pTooltip="Resuscitate" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.strength_id === '1'">R</button>
                    <button type="button" label="E" pTooltip="Emergency" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.strength_id === '2'">E</button>
                    <button type="button" label="U" pTooltip="Urgency" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.strength_id === '3'">U</button>
                    <button type="button" label="S" pTooltip="Semi Urgency" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.strength_id === '4'">S</button>
                    <button type="button" label="N" pTooltip="None Urgency" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.strength_id === '5'">N</button>
                    <button type="button" label="U" pTooltip="Unstable patient" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.refer_triage_id === '1'">U</button>
                    <button type="button" label="H" pTooltip="Stable with high risk of deterioration" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.refer_triage_id === '2'">H</button>
                    <button type="button" label="M" pTooltip="Stable with medium risk of deterioration" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.refer_triage_id === '3'">M</button>
                    <button type="button" label="L" pTooltip="Stable with low risk of deterioration" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.refer_triage_id === '4'">L</button>
                    <button type="button" label="N" pTooltip="Stable with no risk of deterloration" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.refer_triage_id === '5'">N</button>
                </td>

                <td class="text-center justify-content-center p-1">
                    <span class="p-column-title">แนบ</span>
                    <div class="p-inputgroup">
                        <span class="p-inputgroup-addon" (click)="uploadsRoute(rowsData)">
                            <i class="pi pi-paperclip"></i>
                        </span>
                        <span class="p-inputgroup-addon" pTooltip="ใบนัด" [ngStyle]="{backgroundColor:'var(--green-400)'}" *ngIf="rowsData.attpath_appoint != null">
                            <i class="pi pi-file-pdf" (click)="downloadAttRoute(rowsData.attpath_appoint)"></i></span>
                        <span class="p-inputgroup-addon" *ngIf="rowsData.attpath_appoint == null"><i class="pi pi-file-pdf"></i></span>
                    </div>
                </td>
                <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">นำส่ง</span>

                    <button pButton pRipple type="button" icon="fas fa-ambulance fa-lg" class="p-button-rounded p-button-success" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '1'"></button>
                    <button pButton pRipple type="button" icon="fas fa-female fa-lg" class="p-button-rounded p-button-danger" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '2'"></button>
                    <button pButton pRipple type="button" icon="fas fa-user fa-lg" class="p-button-rounded p-button-warning" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '3'"></button>
                    <button pButton pRipple type="button" icon="fas fa-car fa-lg" class="p-button-rounded p-button-help" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '4'"></button>
                    <button pButton pRipple type="button" icon="fas fa-truck-moving" class="p-button-rounded p-button-secondary" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '5'"></button>
                    <button pButton pRipple type="button" icon="fas fa-shipping-fast" class="p-button-rounded p-button-plain" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '6'"></button>

                </td>
                <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">ขอนัด</span>
                    <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-danger p-button-sm" pTooltip="ขอนัดด่วนภายใน 24 ชั่วโมง" *ngIf="rowsData.refer_appoint === '1'"></button>
                    <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-success p-button-sm" pTooltip="ขอนัดตามสะดวก" *ngIf="rowsData.refer_appoint === '2'"></button>
                    <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-warning p-button-sm" pTooltip="มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง" *ngIf="rowsData.refer_appoint === '3'"></button>
                    <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-help p-button-sm" pTooltip="ขอนัด CAG" *ngIf="rowsData.refer_appoint === '4'"></button>

                </td>
                <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">ต้นทาง</span>
                    <span class="image-text">{{rowsData.station_name}}</span>
                </td>
                <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">ส่งปลายทาง</span>
                    {{rowsData.location_refer_name}}
                </td>
                <td class="text-center justify-content-center p-1" style="vertical-align: middle;">
                    <span class="p-column-title">HN</span>
                    {{rowsData.hn}} &nbsp;
                    <button pButton pRipple type="button" icon="far fa-copy" class="p-button-rounded p-button-text p-button-sm" (click)="showDetail(rowsData)"></button>
                </td>
                <td class="p-1">
                    <span class="p-column-title">ชื่อ</span>
                    {{rowsData.fullname}} <br> {{rowsData.cid}}
                </td>
                <!-- <td class="text-center justify-content-center p-1">
                    <span class="p-column-title">เลขบัตรประชาชน</span>
                    
                </td> -->
                <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">วันที่ส่ง</span>
                    {{rowsData.refer_date | thaidate:'short'}} {{rowsData.refer_time | slice:0:5}}
                </td>
                <!-- <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">เวลา</span>
                    
                </td> -->
                <td [pSelectableRow]="rowsData" class="p-1">
                    <span class="p-column-title">ต้นทาง</span>
                    {{rowsData.hname}}
                </td>
                
                <td [pSelectableRow]="rowsData" style='background-color: red;color:white;' class="p-1" *ngIf="rowsData.receive_refer_result_id == '2'">
                    <span class="p-column-title">จุดที่รับ</span>
                    <span *ngIf="rowsData.receive_refer_result_id == '2'">{{rowsData.refer_result_name}}</span>
                </td>
                <td class="p-1 text-center" *ngIf="rowsData.receive_refer_result_id != '2'">
                    <span class="p-column-title">จุดที่รับ</span>
                    <span *ngIf="rowsData.receive_spclty_name">{{rowsData.receive_spclty_name}}&nbsp;</span>
                    <span *ngIf="!rowsData.receive_spclty_name">{{rowsData.receive_spclty_id}}</span>
                    <i class="pi pi-check-square" style="font-size:20px; color:green" (click)="onClickSssess(rowsData)" *ngIf="rowsData.eva == 'eva'"></i>
                    <!-- <button pButton pRipple type="button" style="font-size:20px;color:green" icon="pi pi-align-justify" class="p-button-rounded p-button-text p-button-sm" (click)="onClickSssess(rowsData)" *ngIf="rowsData.eva == 'eva'"></button >  -->
                </td>
                <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title" s>วันที่รับ</span>
                    <span *ngIf="rowsData.receive_date != 'Invalid date'">{{rowsData.receive_date | thaidate:'short'}} </span> <span *ngIf="rowsData.receive_time != '00:00:00'">{{rowsData.receive_time | slice:0:5}} </span>
                </td>
                <!-- <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                    <span class="p-column-title">เวลา</span>
                    
                </td> -->
            </tr>
        </ng-template>
        <ng-template pTemplate="emptymessage">
            <tr>
                <td colspan="14">ไม่พบรายการ..</td>
            </tr>
        </ng-template>
    </p-table>
    <!-- </p-card> -->
    <!-- </div>
        </div> -->

</p-card>
<!-- </div> -->
<!-- <p-dialog header="รายละเอียด" [(visible)]="displayDetail" [closable]="false" [dismissableMask]="true">
    <p>ชื่อ-สกุล </p>
    <p>HN </p>

</p-dialog> -->

<p-confirmDialog rejectButtonStyleClass="p-button-text"
    [(visible)]="displayDetail" [rejectVisible]="true" acceptLabel="copy" acceptIcon="far fa-copy"
    dismissableMask="true"
    [style]="{ width: '50vw' }"
    [baseZIndex]="10000">
</p-confirmDialog> 

<!-- <p-confirmDialog *ngIf="textHN == undefined" rejectButtonStyleClass="p-button-text"
[(visible)]="displayDetail" [rejectVisible]="true" acceptLabel="ปิด"  acceptIcon="far fa-close"
  dismissableMask="true"
  [style]="{ width: '50vw' }"
  [baseZIndex]="10000"
></p-confirmDialog> -->

<!-- <p-table #dtTemp id="dtTemp" [value]="rowsData"  [hidden]="true">

    <ng-template pTemplate="caption">
        <div class="table-header">
            <div class="grid">
                <div class="col">
                    <div class="flex justify-content-start">
                        <span class="text-center justify-content-center pt-2">รายการตอบรับการส่งต่อ</span>
                    </div>
                </div>
                <div class="col">
                    <div class="flex justify-content-end">
                        <span class="p-input-icon-right mr-3">
                            <i class="pi pi-search"></i>
                            <input pInputText class="p-inputtext-sm" type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                        </span>
                        <button type="button" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel3()" class="p-button-success mr-2 p-1" pTooltip="XLS" tooltipPosition="bottom"></button>
                    </div>
                </div>
            </div>
        </div>
    </ng-template>

    <ng-template pTemplate="header">
        <tr>
            <th class="text-center justify-content-center p-1" colspan="5">การนำส่ง</th>
            <th class="text-center justify-content-center p-1" colspan="3">ผู้ป่วย</th>
            <th class="text-center justify-content-center p-1" colspan="2">ใบส่งตัว</th>
            <th class="text-center justify-content-center p-1">สถานบริการ</th>
            <th class="text-center justify-content-center p-1" colspan="2">การลงรับ</th>
        </tr>
        <tr>
            <th class="text-center justify-content-center p-1"></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="strength_id">แนบ <p-sortIcon field="strength_id"></p-sortIcon></th>
            <th class="text-center p-1" pSortableColumn="country.name" pSortableColumn="refer_appoint">ขอนัด <p-sortIcon field="refer_appoint"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="station_name"><p-columnFilter type="text" field="station_name" display="menu"></p-columnFilter>ต้นทาง <p-sortIcon field="station_name"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="loads_name">นำส่ง <p-sortIcon field="loads_name"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="hn"><p-columnFilter type="text" field="hn" display="menu"></p-columnFilter>HN <p-sortIcon field="hn"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="fullname"> <p-columnFilter type="text" field="fullname" display="menu"></p-columnFilter>ชื่อ <p-sortIcon field="fullname"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="cid">เลขบัตรประชาชน <p-sortIcon field="cid"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="refer_date">วันที่ส่ง <p-sortIcon field="refer_date"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="refer_time">เวลา <p-sortIcon field="refer_time"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="hname">ต้นทาง <p-sortIcon field="hname"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="refer_result_name"><p-columnFilter type="text" field="refer_result_name" display="menu"></p-columnFilter>จุดรับ <p-sortIcon field="refer_result_name"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="receive_date">วันที่่รับ <p-sortIcon field="receive_date"></p-sortIcon></th>
            <th class="text-center justify-content-center p-1" pSortableColumn="receive_time">เวลา <p-sortIcon field="receive_time"></p-sortIcon></th>
        </tr>

    </ng-template>
    <ng-template pTemplate="body" let-rowsData>
        <tr class="p-selectable-row">
            <td [pSelectableRow]="rowsData" class="p-1">
                <button type="button" label="R" pTooltip="Resuscitate" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.strength_id === '1'">R</button>
                <button type="button" label="E" pTooltip="Emergency" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.strength_id === '2'">E</button>
                <button type="button" label="U" pTooltip="Urgency" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.strength_id === '3'">U</button>
                <button type="button" label="S" pTooltip="Semi Urgency" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.strength_id === '4'">S</button>
                <button type="button" label="N" pTooltip="None Urgency" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.strength_id === '5'">N</button>
                <button type="button" label="U" pTooltip="Unstable patient" class="p-button-rounded p-button-sm resuscitate-pt" *ngIf="rowsData.refer_triage_id === '1'">U</button>
                <button type="button" label="H" pTooltip="Stable with high risk of deterioration" class="p-button-rounded p-button-sm emergency-pt" *ngIf="rowsData.refer_triage_id === '2'">H</button>
                <button type="button" label="M" pTooltip="Stable with medium risk of deterioration" class="p-button-rounded p-button-sm urgency-pt" *ngIf="rowsData.refer_triage_id === '3'">M</button>
                <button type="button" label="L" pTooltip="Stable with low risk of deterioration" class="p-button-rounded p-button-sm semi-urgency-pt" *ngIf="rowsData.refer_triage_id === '4'">L</button>
                <button type="button" label="N" pTooltip="Stable with no risk of deterloration" class="p-button-rounded p-button-sm none-urgency-pt" *ngIf="rowsData.refer_triage_id === '5'">N</button>
            </td>

            <td class="text-center justify-content-center p-1">
                <span class="p-column-title">แนบ</span>
                <div class="p-inputgroup">
                    <span class="p-inputgroup-addon" (click)="uploadsRoute(rowsData)">
                        <i class="pi pi-paperclip"></i>
                    </span>
                    <span class="p-inputgroup-addon" pTooltip="ใบนัด" [ngStyle]="{backgroundColor:'var(--green-400)'}" *ngIf="rowsData.attpath_appoint != null">
                        <i class="pi pi-file-pdf" (click)="downloadAttRoute(rowsData.attpath_appoint)"></i></span>
                    <span class="p-inputgroup-addon" *ngIf="rowsData.attpath_appoint == null"><i class="pi pi-file-pdf"></i></span>
                </div>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                <span class="p-column-title">ขอนัด</span>
                <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-danger p-button-sm" pTooltip="ขอนัดด่วนภายใน 24 ชั่วโมง" *ngIf="rowsData.refer_appoint === '1'"></button>
                <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-success p-button-sm" pTooltip="ขอนัดตามสะดวก" *ngIf="rowsData.refer_appoint === '2'"></button>
                <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-warning p-button-sm" pTooltip="มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง" *ngIf="rowsData.refer_appoint === '3'"></button>
                <button pButton pRipple type="button" icon="fas fa-calendar-plus fa-lg" class="p-button-rounded p-button-help p-button-sm" pTooltip="ขอนัด CAG" *ngIf="rowsData.refer_appoint === '4'"></button>

            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                <span class="p-column-title">ต้นทาง</span>
                <span class="image-text">{{rowsData.station_name}}</span>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                <span class="p-column-title">นำส่ง</span>

                <button pButton pRipple type="button" icon="fas fa-ambulance fa-lg" class="p-button-rounded p-button-success" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '1'"></button>
                <button pButton pRipple type="button" icon="fas fa-female fa-lg" class="p-button-rounded p-button-danger" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '2'"></button>
                <button pButton pRipple type="button" icon="fas fa-user fa-lg" class="p-button-rounded p-button-warning" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '3'"></button>
                <button pButton pRipple type="button" icon="fas fa-car fa-lg" class="p-button-rounded p-button-help" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '4'"></button>
                <button pButton pRipple type="button" icon="fas fa-truck-moving" class="p-button-rounded p-button-secondary" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '5'"></button>
                <button pButton pRipple type="button" icon="fas fa-shipping-fast" class="p-button-rounded p-button-plain" pTooltip="{{rowsData.loads_name}}" *ngIf="rowsData.loads_id === '6'"></button>

            </td>
            <td class="text-center justify-content-center p-1">
                <span class="p-column-title">HN</span>
                {{rowsData.hn}}<br>
                <button pButton pRipple type="button" icon="far fa-copy" class="p-button-rounded p-button-text p-button-sm" (click)="showDetail(rowsData)"></button>
            </td>
            <td [pSelectableRow]="rowsData" class="p-1">
                <span class="p-column-title">ชื่อ</span>
                {{rowsData.fullname}}
            </td>
            <td class="text-center justify-content-center p-1">
                <span class="p-column-title">เลขบัตรประชาชน</span>
                {{rowsData.cid}}
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                <span class="p-column-title">วันที่ส่ง</span>
                {{rowsData.refer_date | thaidate:'short'}}
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                <span class="p-column-title">เวลา</span>
                {{rowsData.refer_time}}
            </td>
            <td [pSelectableRow]="rowsData" class="p-1">
                <span class="p-column-title">ต้นทาง</span>
                {{rowsData.hname}}
            </td>
            <td [pSelectableRow]="rowsData" style='background-color: red;color:white;' class="p-1" *ngIf="rowsData.receive_refer_result_id == '2'">
                <span class="p-column-title">จุดที่รับ</span>
                <span *ngIf="rowsData.receive_refer_result_id == '2'">{{rowsData.refer_result_name}}</span>
            </td>
            <td class="p-1" *ngIf="rowsData.receive_refer_result_id != '2'">
                <span class="p-column-title">จุดที่รับ</span>
                <span *ngIf="rowsData.receive_spclty_name">{{rowsData.receive_spclty_name}}&nbsp;</span>
                <span *ngIf="!rowsData.receive_spclty_name">{{rowsData.receive_spclty_id}}</span>
                <i class="pi pi-check-square" style="font-size:20px; color:green" (click)="onClickSssess(rowsData)" *ngIf="rowsData.eva == 'eva'"></i>
            </td>
            <td [pSelectableRow]="rowsData" class="p-1">
                <span class="p-column-title" s>วันที่รับ</span>
                <span *ngIf="rowsData.receive_date != 'Invalid date'">{{rowsData.receive_date | thaidate:'short'}} </span>
            </td>
            <td [pSelectableRow]="rowsData" class="text-center justify-content-center p-1">
                <span class="p-column-title">เวลา</span>
                <span *ngIf="rowsData.receive_time != '00:00:00'">{{rowsData.receive_time}} </span>
            </td>
        </tr>
    </ng-template>
    <ng-template pTemplate="emptymessage">
        <tr>
            <td colspan="14">ไม่พบรายการ..</td>
        </tr>
    </ng-template>
</p-table> -->
